session_unset
SessionHandler
Session Functions
PHP Manual

# session_write_close

Write session data and end session

### Description

void session_write_close ( void )

End the current session and store session data.

Session data is usually stored after your script terminated without the need to call session_write_close, but as session data is locked to prevent concurrent writes only one script may operate on a session at any time. When using framesets together with sessions you will experience the frames loading one by one due to this locking. You can reduce the time needed to load all the frames by ending the session as soon as all changes to session variables are done.

### Return Values

No value is returned.

### See Also

- The session_register_shutdown